Subject: Re: nncp-caller not respecting addr limitation

From: Sergey Matveev <[email-masked]>
Date: Sat, 23 Sep 2023 15:14:41 +0300

Greetings!

*** John Goerzen [2023-09-08 22:46]:
>The idea being that when I am not on my home lan, I don't want caller to
>be invoking automatically.  However, the addr limitation isn't being
>respected; when the lan addr isn't available, it's using another addr
>specified for the peer.

I have got similar rule in my configuration too: when I am outside home
LAN, I have got rate-limited priority-only packets passing. Just now I
checked with tcpdump, multiple "addrs" filled and only "lan" cron entry
work: it uses only specified lan, no other addresses are checked. So can
not reproduce, it respects that option. Are you sure that there is no
other cron entry that also tries to connect in parallel?

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: 12AD 3268 9C66 0D42 6967  FD75 CB82 0563 2107 AD8A